Summary: word2x convert word 6 documents to another format
Name: word2x
Version: 0.005
Release: 4
Serial: 9
Copyright: GPL
Group: Utilities/Text
Source: http://word2x.alcom.co.uk/download/%{name}-%{version}.tar.gz
Patch: word2x-0.005-string.h.patch
URL: http://word2x.alcom.co.uk/download/
Vendor: Duncan Simpson <dps@io.stargate.co.uk>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: /usr

%description
word2x is a program that attempts to produce a component, if not
perfect rendition of a word 6 document. It guesses rather a lot from
context and can make mistakes.

%changelog
* Fri Oct 05 2001 Peter Soos  <sp@osb.hu>
- Rebuilt under RedHat Linux 7.2 beta

* Fri May 18 2001 Peter Soos  <sp@osb.hu>
- Rebuilt under RedHat Linux 7.1

* Wed Apr 25 2001 Peter Soos <sp@osb.hu>
- Rebuilt for RedHat Linux 7.0

* Wed Mar 15 2000 Peter Soos <sp@osb.hu>
- Moved to the version 0.005

* Thu Jun 17 1999 Peter Soos <sp@osb.hu>
- Moved to the version 0.004

* Sat Dec 19 1998 Peter Soos <sp@osb.hu>
- Moved to the version 0.003

* Sun Sep 06 1998 Peter Soos <sp@osb.hu>
- Moved to the version 0.002 released at Aug 23 1998

* Sun Jun 28 1998 Peter Soos <sp@osb.hu>
- Moved to the version released at Apr 21 1998

%prep
%setup
%patch -b .hack

%build
# This requires to configure on i686 (Pentium Pro/II) machines.
#%ifarch i386
#./configure --prefix=%{prefix} i386-intel-linux
#%else
./configure --prefix=%{prefix}
#%endif
make	"CPPFLAGS=${RPM_OPT_FLAGS} -DHAVE_CONFIG_H" \
	"CCFLAGS=${RPM_OPT_FLAGS} -DHAVE_CONFIG_H"

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
install -m 755 -s word2x rtest2 ${RPM_BUILD_ROOT}%{_bindir}
install -m 644 word2x.1 ${RPM_BUILD_ROOT}%{_mandir}/man1

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%attr(755, root, root) %{_bindir}/word2x
%attr(755, root, root) %{_bindir}/rtest2
%attr(644, root, root) %{_mandir}/man1/word2x.1*
